type HighlightLanguage = {
    name: string;
    register: (hljs: any) => any;
};
interface Props {
    numberLine?: boolean;
    language: HighlightLanguage;
    code: string;
    langtag?: boolean;
    hideBorder?: boolean;
    wrapLines?: boolean;
    startingLineNumber?: number;
    highlightedLines?: number[];
    backgroudColor?: string;
    position?: 'static' | 'relative' | 'abolute' | 'sticky' | undefined;
}
/**
 * [Go to docs](https://svelte-rune-highlight.codewithshin.com/)
 * ## Props
 * @prop numberLine
 * @prop language
 * @prop code = ''
 * @prop langtag = false
 * @prop hideBorder
 * @prop wrapLines
 * @prop startingLineNumber = 1
 * @prop highlightedLines = []
 * @prop backgroudColor
 * @prop position = 'sticky'
 * @prop ...restProps
 */
declare const Highlight: import("svelte").Component<Props, {}, "">;
type Highlight = ReturnType<typeof Highlight>;
export default Highlight;
